## release-shfe-exanic-20250815.tar.gz

=== scripts/Makefile ===
PREFIX=/usr/local
BINDIR=$(DESTDIR)$(PREFIX)/bin

SCRIPTS=exasock

install: $(SCRIPTS)
	install -d $(BINDIR)
	install -m 0755 -D $(SCRIPTS) $(BINDIR)

uninstall:
	rm -f $(foreach file,$(SCRIPTS),$(BINDIR)/$(file))

=== sample-code/demo/callback/Makefile ===
TOP_DIR = ../..
CC=gcc
CFLAGS := -g
LIB := -L. -lrt -lpthread -lexanic -lshfe_recv
INCLUDE := -I$(TOP_DIR)/interface

all: ApiDemoCallback.c
	$(CC) $< $(LIB) $(CFLAGS) $(INCLUDE) -o api_callback

clean:
	rm -rf *.o api*

=== sample-code/demo/shm.v2/Makefile ===
TOP_DIR = ../..
CC=gcc
CFLAGS := -g
LIB := -L. -lshfev2api
INCLUDE := -I$(TOP_DIR)/interface

all: ApiDemoShareMem.c
	$(CC) $< $(LIB) $(CFLAGS) $(INCLUDE) -o api_sharemem

clean:
	rm -rf api*

=== debian/changelog ===
exanic (2.7.2-git-1) stable; urgency=low

  * Debian/Ubuntu packaging

 -- Exablaze Team <support@exablaze.com>  Wed, 11 Jun 2014 03:14:15 +1000

=== debian/control ===
Source: exanic
Section: Miscellaneous
Priority: extra
Maintainer: Exablaze Team <support@exablaze.com>
Build-Depends: debhelper (>= 8.0.0), dkms, pkg-config, libnl-3-dev, libnl-genl-3-dev
Standards-Version: 3.9.4
Homepage: http://exablaze.com/support

Package: exanic
Architecture: all
Depends: exanic-dkms (= ${binary:Version}), exanic-utils (= ${binary:Version}), exanic-dev (= ${binary:Version})
Description: ExaNIC drivers and software
 Drivers and software for ExaNIC, a low latency network card from
 Exablaze (www.exablaze.com).  The exanic package installs exanic-dkms,
 exanic-utils and exanic-dev.

Package: exanic-dkms
Architecture: all
Depends: ${misc:Depends}
Section: Kernels
Description: ExaNIC network driver
 This package contains the Linux network drivers for the ExaNIC.  This
 package installs the source code and dkms control files; the kernel
 modules are then automatically built by dkms.

Package: exanic-utils
Architecture: any
Depends: libnl-3-200, libnl-genl-3-200
Section: Utilities
Description: ExaNIC utilities
 This package contains userspace utilities for the ExaNIC, including
 exanic-config, exanic-capture, exanic-clock-sync and exanic-fwupdate.
 It also contains the ExaNIC Sockets wrapper (exasock) and its utilities
 (exasock-stat).

Package: exanic-dev
Architecture: any
Section: Libraries
Description: ExaNIC development library
 This package contains libexanic, a low-level access library for the
 ExaNIC.  It can be used to write applications which transmit and receive
 raw Ethernet packets with minimum possible latency.
